felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Peter Chandler (JIRA)" <j...@apache.org>
Subject [jira] Created: (FELIX-1308) Bundle-RequiredExecutionEnvironment Support
Date Wed, 08 Jul 2009 13:19:14 GMT
Bundle-RequiredExecutionEnvironment Support
-------------------------------------------

                 Key: FELIX-1308
                 URL: https://issues.apache.org/jira/browse/FELIX-1308
             Project: Felix
          Issue Type: Improvement
          Components: Karaf
    Affects Versions: felix-1.8.1
         Environment: All 
            Reporter: Peter Chandler
             Fix For: felix-2.0.0


ServiceMix 4.1 (Felix) does not support OSGi "Bundle-RequiredExecutionEnvironment". Note:
Equinox does.

The Bundle-RequiredExecutionEnvironment contains a comma-separated
list of execution environments that must be present on the Service Platform.

Manifest header (named "Bundle-RequiredExecutionEnvironment") identifying the required
execution environment for the bundle. The service platform may run this bundle if any of the
execution environments named in this header matches one of the execution environments it
implements.

Would be nice to specify:
Bundle-RequiredExecutionEnvironment: JavaSE-1.6 or
Bundle-RequiredExecutionEnvironment: j2ee-1.4
...

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message